toolzerhub API Docs

List trends

List the ranked trending topics for a location by WOEID, each with a search query. woeid 1 is worldwide.

7 credits / requestBilled only on success
GET
/v1/x/trends

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

woeid?integer

Where On Earth ID of the location. 1 is worldwide and 23424977 is the United States.

Range1 <= value <= 2147483647
Default1
curl -X GET "https://example.com/v1/x/trends" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "woeid": 1,    "location": "Worldwide",    "updated_at": "2026-10-16T10:23:47.441Z",    "count": 3,    "trends": [      {        "rank": 1,        "name": "#それスノ",        "query": "#それスノ"      },      {        "rank": 2,        "name": "#DIESELxJENO",        "query": "#DIESELxJENO"      },      {        "rank": 3,        "name": "JENO WITH DIESEL",        "query": "\"JENO WITH DIESEL\""      }    ]  }}